Bug 198104 - irq - nobody cared (USB uhci_hcd)
irq - nobody cared (USB uhci_hcd)
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
NeedsRetesting
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-09 14:40 EDT by Marcin Garski
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-02 14:59:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg with acpi=off (15.88 KB, text/html)
2006-07-09 14:40 EDT, Marcin Garski
no flags Details
dmesg with acpi=off pci=assign-busses (16.42 KB, application/octet-stream)
2006-07-09 14:43 EDT, Marcin Garski
no flags Details
dmesg with acpi=off pci=assign-busses irqpoll (16.00 KB, application/octet-stream)
2006-07-09 14:44 EDT, Marcin Garski
no flags Details
dmesg with nousb (17.30 KB, application/octet-stream)
2006-07-09 14:45 EDT, Marcin Garski
no flags Details
lsmod with acpi=off pci=assign-busses irqpoll (1.88 KB, application/octet-stream)
2006-07-09 14:46 EDT, Marcin Garski
no flags Details
lspci -vvnx (nousb) (22.42 KB, application/octet-stream)
2006-07-09 14:47 EDT, Marcin Garski
no flags Details
acpidump (nousb) (141.57 KB, application/octet-stream)
2006-07-09 14:47 EDT, Marcin Garski
no flags Details
/proc/interrupts (acpi=off pci=assign-busses irqpoll) (888 bytes, application/octet-stream)
2006-07-09 14:48 EDT, Marcin Garski
no flags Details

  None (edit)
Description Marcin Garski 2006-07-09 14:40:34 EDT
I have a problem with my Toshiba Satellite A100-237 laptop. With kernel
out-of-box and kernel-smp-2.6.17-1.2145_FC5 things are the same. When I run
kernel with default arguments, FC hang durring udev start.

Then I try 'acpi=off' it work, but error appear 'PCI: Bus #08 (-#0b) is hidden
behind transparent bridge #07 (-#07) (try 'pci=assign-busses')', so I run kernel
with 'acpi=off pci=assign-busses', next error appear 'irq 169: nobody cared (try
booting with the "irqpoll" option)' then 'acpi=off pci=assign-busses irqpoll'
and kernel boot without this error but I don't have ACPI (it useful in laptop
:)). In dmesgs we can see something is wrong with uhci_hcd, so lets try with
just 'nousb' and booting went ok WITH ACPI. I also attach acpidecode, lspci
-vvnx (all from 'nousb') and lsmod, /proc/interrupts from all cases.

What's strange for me is that with 'pci=assign-busses' or 'pci=assign-busses
irqpoll' my network card isn't working, as you can see in /proc/interrupts it's
XT-PIC not IO-APIC, maybe this cause it?

I wanted to file a bug in Linux Kernel Tracker, but "Distro bugs should not be
reported here, but to the distro's own bug tracking system.".
Comment 1 Marcin Garski 2006-07-09 14:40:34 EDT
Created attachment 132140 [details]
dmesg with acpi=off
Comment 2 Marcin Garski 2006-07-09 14:43:33 EDT
Created attachment 132141 [details]
dmesg with acpi=off pci=assign-busses
Comment 3 Marcin Garski 2006-07-09 14:44:24 EDT
Created attachment 132142 [details]
dmesg with acpi=off pci=assign-busses irqpoll
Comment 4 Marcin Garski 2006-07-09 14:45:24 EDT
Created attachment 132143 [details]
dmesg with nousb
Comment 5 Marcin Garski 2006-07-09 14:46:34 EDT
Created attachment 132144 [details]
lsmod with acpi=off pci=assign-busses irqpoll
Comment 6 Marcin Garski 2006-07-09 14:47:14 EDT
Created attachment 132145 [details]
lspci -vvnx (nousb)
Comment 7 Marcin Garski 2006-07-09 14:47:49 EDT
Created attachment 132146 [details]
acpidump (nousb)
Comment 8 Marcin Garski 2006-07-09 14:48:38 EDT
Created attachment 132147 [details]
/proc/interrupts (acpi=off pci=assign-busses irqpoll)
Comment 9 Marcin Garski 2006-07-09 14:51:28 EDT
I won't attach all this stuff (there are too many of them already), if you need
something more write.
Comment 10 Dave Jones 2006-10-16 17:13:00 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 11 Marcin Garski 2006-11-02 14:59:24 EST
Can't reproduce it any more.

Note You need to log in before you can comment on or make changes to this bug.